> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the profile of a given nmconnection



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json post /api/network/update_connection_profile
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: 0.1.0
servers: []
security: []
paths:
  /api/network/update_connection_profile:
    post:
      tags:
        - network
      summary: Update the profile of a given nmconnection
      operationId: update_connection_profile_api_network_update_connection_profile_post
      parameters:
        - name: path
          in: query
          required: true
          schema:
            type: string
            title: Path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IPV4Configuration'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Update Connection Profile Api Network Update
                  Connection Profile Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IPV4Configuration:
      properties:
        ip_addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/IPV4Address'
              type: array
            - type: 'null'
          title: Ip Addresses
        gateway:
          anyOf:
            - type: string
            - type: 'null'
          title: Gateway
        method:
          $ref: '#/components/schemas/IPV4Method'
          default: unknown
        dns:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Dns
        never_default:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Never Default
      type: object
      title: IPV4Configuration
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IPV4Address:
      properties:
        address:
          type: string
          title: Address
        prefix:
          type: integer
          title: Prefix
      type: object
      required:
        - address
        - prefix
      title: IPV4Address
    IPV4Method:
      type: string
      enum:
        - manual
        - auto
        - unknown
      title: IPV4Method
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````